/**
 * A turtle that draw something that looks like a flower (might require 
 * some imagination to see this though)
 * 
 * @author Poul Henriksen
 * @version 1.0.1
 */
public class FlowerTrtl extends SquareTrtl {

    /** What to do when the 'act' button is pressed.
     * (Non-static, since it's called by Greenfoot IDE.)
     */
    public void act() {
        turn(this,10);
        goAndTurn(this);
    }
    
    /** Create a new FlowerTrtl.
     * @return a new FlowerTrtl.
     */
    public static FlowerTrtl makeFlowerTrtl() {
        return addToWorld( new FlowerTrtl() );
    }

    /* Constructor -- non-public. */
    protected FlowerTrtl() {
        setColor(this, "red");
    }
}