/**
 * A nearly-white world that turtles can draw on.
 *  
 * @author Poul Henriksen
 * @version 1.0.1
 */
public class TurtleWorld extends greenfoot.World {
    /**
     * Creates a new world with 800x600 cells and
     * with a cell size of 1x1 pixels
     */
    public TurtleWorld() {
        super(800,600, 1);
        getBackground().setColor(new java.awt.Color(240,240,255));
        getBackground().fill();
        theWorld = this;
    }
    
    public static TurtleWorld theWorld;
}